Subject: List symbols from object files

From: "Mile Davidovic" <[email-masked]>
Date: Wed, 7 Dec 2005 12:11:04 +0100

Hello all

I am not shure that this question is for this list, if I made mistake, I am
so sorry.
My question is about usage of mips-linux-nm on Linux kernel with debugging
information. 

mips-linux-nm -la vmlinux does not show line number information.
Is this expected bahavioure or I am missing something?

This is part of my .config file:
CONFIG_DEBUG_KERNEL=y
# CONFIG_MAGIC_SYSRQ is not set
CONFIG_LOG_BUF_SHIFT=14
# CONFIG_SCHEDSTATS is not set
# CONFIG_DEBUG_SLAB is not set
CONFIG_DEBUG_PREEMPT=y
# CONFIG_DEBUG_SPINLOCK is not set
# CONFIG_DEBUG_SPINLOCK_SLEEP is not set
# CONFIG_DEBUG_KOBJECT is not set
CONFIG_DEBUG_INFO=y
# CONFIG_DEBUG_FS is not set
CONFIG_CROSSCOMPILE=y
CONFIG_CMDLINE=""
# CONFIG_DEBUG_STACK_USAGE is not set
# CONFIG_KGDB is not set
CONFIG_RUNTIME_DEBUG=y
# CONFIG_MIPS_UNCACHED is not set

Best regards Mile